# Discard a test case(Request) while recording

For any reason if you want to avoid recording a request at run time you can use "discardRequest" API exposed by HyperTest SDK.

```typescript
app.get('/api/getProducts', async (req: Request, res: Response) => {
    const data = await getProducts();
    htSdk.discardRequest(); // discard recorded test case of the current request
    res.send(data);
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-v2.hypertest.co/user-guides/node.js-sdk/discard-a-test-case-request-while-recording.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
